 #ifndef SUPABSTRACTPROCESSDATAREADER_P_H
 #define SUPABSTRACTPROCESSDATAREADER_P_H
 
 #include "supAbstractProcess_p.h"
 
 class supAbstractProcessDataReader;
 
 ////////////////////////////////////////////////////
 // supAbstractProcessDataReaderPrivate interface
 ////////////////////////////////////////////////////
 
 class DTKCORE_EXPORT supAbstractProcessDataReaderPrivate : public supAbstractProcessPrivate
 {
 public:
     supAbstractProcessDataReaderPrivate(supAbstractProcessDataReader *q = 0) : supAbstractProcessPrivate(q) {}
     supAbstractProcessDataReaderPrivate(const supAbstractProcessDataReaderPrivate& other) : supAbstractProcessPrivate(other) {}
 
 public:
     virtual ~supAbstractProcessDataReaderPrivate(void) {}
 
 public:
     // private members of the class are put here in the d-pointer, eg
     // int index;
 };
 
 ////////////////////////////////////////////////////
 // supAbstractProcessDataReader protected constructors
 ////////////////////////////////////////////////////
 
 DTK_IMPLEMENT_PRIVATE(supAbstractProcessDataReader, supAbstractProcess);
 
 #endif
