 #ifndef SUPABSTRACTPROCESSDATAWRITER_P_H
 #define SUPABSTRACTPROCESSDATAWRITER_P_H
 
 #include "supAbstractProcess_p.h"
 #include "supAbstractData_p.h"
 
 class supAbstractProcessDataWriter;
 
 ////////////////////////////////////////////////////
 // supAbstractProcessDataWriterPrivate interface
 ////////////////////////////////////////////////////
 
 class DTKCORE_EXPORT supAbstractProcessDataWriterPrivate : public supAbstractProcessPrivate
 {
 public:
     supAbstractProcessDataWriterPrivate(supAbstractProcessDataWriter *q = 0) : supAbstractProcessPrivate(q) {}
     supAbstractProcessDataWriterPrivate(const supAbstractProcessDataWriterPrivate& other) : supAbstractProcessPrivate(other) {}
 
 public:
     virtual ~supAbstractProcessDataWriterPrivate(void) {}
 
 public:
     // private members of the class are put here in the d-pointer, eg
     // int index;
     //supAbstractData * m_data;
     QSharedPointer< supAbstractData> m_data;

 };
 
 ////////////////////////////////////////////////////
 // supAbstractProcessDataWriter protected constructors
 ////////////////////////////////////////////////////
 
 DTK_IMPLEMENT_PRIVATE(supAbstractProcessDataWriter, supAbstractProcess);
 
 #endif
