 /* supAbstractProcessGroupTracker_p.h ---
  *
  * Author: %Author%
  */
 
 /* Commentary: 
  * 
  */
 
 /* Change log:
  * 
  */
 
 #ifndef SUPABSTRACTPROCESSGROUPTRACKER_P_H
 #define SUPABSTRACTPROCESSGROUPTRACKER_P_H
 
 #include "supAbstractProcess_p.h"
 
 class supAbstractProcessGroupTracker;
 
 ////////////////////////////////////////////////////
 // supAbstractProcessGroupTrackerPrivate interface
 ////////////////////////////////////////////////////
 
 class DTKCORE_EXPORT supAbstractProcessGroupTrackerPrivate : public supAbstractProcessPrivate
 {
 public:
     supAbstractProcessGroupTrackerPrivate(supAbstractProcessGroupTracker *q = 0) : supAbstractProcessPrivate(q) {}
     supAbstractProcessGroupTrackerPrivate(const supAbstractProcessGroupTrackerPrivate& other) : supAbstractProcessPrivate(other), calibration(other.calibration), context(other.context), actors(other.actors), frame(other.frame), parameterFilePath(other.parameterFilePath) {}
 
 public:
     virtual ~supAbstractProcessGroupTrackerPrivate(void) {}
 
 public:
     // private members of the class are put here in the d-pointer
     QSharedPointer< supAbstractDataCalibration > calibration;
     QSharedPointer< supDataContext > context;
     QList <QSharedPointer < supDataActor > > actors;
     QSharedPointer<supDataImage> frame;
     std::string parameterFilePath;
 };
 
 ////////////////////////////////////////////////////
 // supAbstractProcessGroupTracker protected constructors
 ////////////////////////////////////////////////////
 
 DTK_IMPLEMENT_PRIVATE(supAbstractProcessGroupTracker, supAbstractProcess)
 
 #endif
