/* supAbstractProcessJsonGenerator_p.h ---
 *
 * Author: %Author%
 */

/* Commentary: 
 * 
 */

/* Change log:
 * 
 */

#ifndef SUPABSTRACTPROCESSJSONGENERATOR_P_H
#define SUPABSTRACTPROCESSJSONGENERATOR_P_H

#include <supCore/supAbstractProcess_p.h>

class supAbstractProcessJsonGenerator;

////////////////////////////////////////////////////
// supAbstractProcessJsonGeneratorPrivate interface
////////////////////////////////////////////////////

class DTKCORE_EXPORT supAbstractProcessJsonGeneratorPrivate : public supAbstractProcessPrivate
{
public:
    supAbstractProcessJsonGeneratorPrivate(supAbstractProcessJsonGenerator *q = 0) : supAbstractProcessPrivate(q) {}
    supAbstractProcessJsonGeneratorPrivate(const supAbstractProcessJsonGeneratorPrivate& other) : supAbstractProcessPrivate(other) {}

public:
    virtual ~supAbstractProcessJsonGeneratorPrivate(void) {}

public:

    int frameNumber;
    qint64 timestamp;
    std::list <QSharedPointer <const supDataActor > > actors;
    std::list< QSharedPointer<supDataEvent> > events;
};

////////////////////////////////////////////////////
// supAbstractProcessJsonGenerator protected constructors
////////////////////////////////////////////////////

DTK_IMPLEMENT_PRIVATE(supAbstractProcessJsonGenerator, supAbstractProcess);

#endif
